> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Job Lifecycle

> Return browser-safe persisted lifecycle state for one configured job.



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /pipelines/{pipeline_id}/runs/{run_id}/jobs/lifecycle/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /pipelines/{pipeline_id}/runs/{run_id}/jobs/lifecycle/:
    get:
      tags:
        - pipeline-runs
      summary: Get Run Job Lifecycle
      description: Return browser-safe persisted lifecycle state for one configured job.
      operationId: >-
        get_run_job_lifecycle_pipelines__pipeline_id__runs__run_id__jobs_lifecycle__get
      parameters:
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Pipeline Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Run Id
        - name: job_name
          in: query
          required: true
          schema:
            type: string
            title: Job Name
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineJobLifecyclePublicRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PipelineJobLifecyclePublicRead:
      properties:
        job_name:
          type: string
          title: Job Name
        execution_status:
          $ref: '#/components/schemas/PipelineDiagnosticStepStatus'
        last_confirmed_phase:
          anyOf:
            - $ref: '#/components/schemas/PipelineJobLifecyclePhase'
            - type: 'null'
        timeline:
          items:
            $ref: '#/components/schemas/PipelineJobLifecyclePublicObservationRead'
          type: array
          title: Timeline
      additionalProperties: false
      type: object
      required:
        - job_name
        - execution_status
      title: PipelineJobLifecyclePublicRead
      description: Bounded lifecycle for the latest trusted attempt of one logical job.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PipelineDiagnosticStepStatus:
      type: string
      enum:
        - not_started
        - queued
        - running
        - succeeded
        - failed
        - omitted
        - unknown
      title: PipelineDiagnosticStepStatus
    PipelineJobLifecyclePhase:
      type: string
      enum:
        - job_queued
        - compute_acquired
        - workload_container_started
        - supervisor_started
        - job_started
        - batch_queued
        - batch_compute_acquired
        - batch_started
        - batch_ended
        - job_ended
      title: PipelineJobLifecyclePhase
    PipelineJobLifecyclePublicObservationRead:
      properties:
        phase:
          $ref: '#/components/schemas/PipelineJobLifecyclePhase'
        observed_at:
          type: string
          format: date-time
          title: Observed At
        outcome:
          anyOf:
            - $ref: '#/components/schemas/PipelineDiagnosticExecutionStatus'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - phase
        - observed_at
      title: PipelineJobLifecyclePublicObservationRead
      description: One browser-safe lifecycle event with no provider or attempt identity.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PipelineDiagnosticExecutionStatus:
      type: string
      enum:
        - not_started
        - queued
        - running
        - succeeded
        - failed
        - error
        - cancelled
        - unknown
      title: PipelineDiagnosticExecutionStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````